<!DOCTYPE html>
<html lang="en">
<head>
  {% block title %}<title>Suivi des modules du SAS</title>{% endblock %}
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
  <!-- Add additional CSS in static file -->
  {% load static %}
  <link rel="stylesheet" href="{% static 'css/styles.css' %}">
</head>
<body>
  <div class="container-fluid">
    <div class="row">
      <div class="col-sm-2">
      {% block sidebar %}
        <ul class="sidebar-nav">
          <li><a href="{% url 'index' %}">Home</a></li>
          <li><a href="{% url 'modules' %}">Tous les Modules</a></li>
          <li><a href="{% url 'users' %}">Tous les bénéficiaires</a></li>
          <li><a href="{% url 'sessions' %}">Toutes les Sessions</a></li>
          <li><a href="{% url 'evals' %}">Toutes les évaluations</a></li>
	  {% if user.is_authenticated %}
	     <li>User: {{ user.get_username }}</li>
             {% if perms.sas.can_evaluate_student %}<li><a href="{% url 'session-create' pk_module=0 %}">Créer une nouvelle session</a></li>{% endif %}
	     <li><a href="{% url 'logout'%}?next={{request.path}}">Logout</a></li>
	   {% else %}
	     <li><a href="{% url 'login'%}?next={{request.path}}">Login</a></li>
	   {% endif %}
	  </ul>
     {% endblock %}
      </div>
      <div class="col-sm-10 ">{% block content %}{% endblock %}
{% block pagination %}
    {% if is_paginated %}
        <div class="pagination">
            <span class="page-links">
                {% if page_obj.has_previous %}
                    <a href="{{ request.path }}?page={{ page_obj.previous_page_number }}">previous</a>
                {% endif %}
                <span class="page-current">
                    Page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }}.
                </span>
                {% if page_obj.has_next %}
                    <a href="{{ request.path }}?page={{ page_obj.next_page_number }}">next</a>
                {% endif %}
            </span>
        </div>
    {% endif %}
  {% endblock %}
      </div>
    </div>
  </div>
</body>
</html>

